﻿<?php
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** OpenMenu Templates, Copyright 2012 Open Menu, LLC
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** v1.6.11
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** Preload & Setup:
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
	/** Path for Includes */
	if (!defined('OPENMENU_PATH'))
		define('OPENMENU_PATH', '/omt/');

	// Default include for the page
	if ( !defined('OMT_SKIPHEADERS') ) {
		echo '<link rel="stylesheet" href="'.OPENMENU_PATH.'style.css" type="text/css" />'."\n";
		echo '<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>'."\n";
		echo '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>'."\n";
		echo '<script type="text/javascript" src="'.OPENMENU_PATH.'om_map.js"></script>'."\n";
		
		// For lightboxing Menu Item Images
		echo '<script type="text/javascript" src="'.OPENMENU_PATH.'colorbox/jquery.colorbox.js"></script>';
		echo '<link rel="stylesheet" href="'.OPENMENU_PATH.'colorbox/colorbox.css" type="text/css" />'."\n";
		echo '<script type="text/javascript">'."\n";
		echo '$j2(document).ready(function() {'."\n";
		echo '$j2(".om_item_zoom").colorbox({iframe:true, width:"375px", height:"375px", transition:"fade"});'."\n";
		echo '});'."\n";
		echo '</script>';
	}

// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** Deals Functions:
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

	function get_deals ( $omd_url, $width = '600', $width_unit = 'px' ) {
		// ------------------------------------- 
		//  Create a deal display from OMD Details
		// ------------------------------------- 

		// get the menu
		$deals = false;
		if ( !empty($omd_url) ) {
			include_once 'class-omd-reader.php'; 
			$omdr = new cOmdReader; 
			$deals = $omdr->read_file($omd_url.'?ref=omt'); 
			unset($omdr);
		}

		// See if we got any deals
		$deal_view = '';
		if (isset($deals['deals']) && !empty($deals['deals'])) {
			include_once 'class-omd-render.php'; 
			$render = new cOmdRender;
			$render->width = $width;
			$render->width_unit = $width_unit;
			$render->site_url = OPENMENU_PATH;
			$render->show_action_bar = true;
			$deal_view = $render->render_deals_from_details($deals);
			unset($render);
		} 
		
		return $deal_view;
	}

// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// ** Menu Functions:
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

	function build_menu ($omf_url, $columns = '1', $menu_filter = '', $group_filter = '', 
				$show_restaurant = true, $split_on = 'item', $use_short_tag = false) {
		// ------------------------------------- 
		//  Create a menu display from OMF Details
		// ------------------------------------- 

		// get the menu
		$omf_details = false;
		if ( !empty($omf_url) ) {
			include_once 'class-omf-reader.php'; 
			$omfr = new cOmfReader; 
			$om = $omfr->read_file($omf_url.'?ref=omt'); 
			unset($omfr);
		}
		
		$retval = '<div id="openmenu">';

		include_once 'class-omf-render.php'; 
		$render = new cOmfRender;
		
		// Get the restaurant section
		if ($show_restaurant) {
			// See if we can locate a logo to display
			$logo = $render->extract_logo($om['logo_urls'], 'Full', 'Web');
			if ( !empty($logo) ) { 
				$retval .= '<img class="photo" id="venue_logo" src="'.$logo.'" alt="' . clean($om['restaurant_info']['restaurant_name']) . '" />';
			}
			
			$retval .= get_restaurant_from_details($om);
		}
		
		// Get the menu details
		$render->columns = $columns;
		$render->split_on = $split_on;
		$render->disable_entities = true;
		$render->allow_image_zoom = true;
		$render->use_short_tag = $use_short_tag;
		$retval .= $render->get_menu_from_details($om, $menu_filter, $group_filter);

		unset($render);

		$retval .= '</div><!-- #openmenu -->';
		return $retval;
	}

	function get_restaurant_from_details ($omf_details) {
		// ------------------------------------- 
		//  Create a restaurant display from OMF Details
		// ------------------------------------- 
		
		$retval = '';
		
		if ( !empty($omf_details) ) {
			$retval .= '<div id="om_restaurant">';
			
			// Setup JS for mapping
			$retval .= '<script type="text/javascript">
					$j(document).ready(function() {
						// Initialize the mapping stuff
						initialize();';

	// If we have the cords then no need to geo-code
	if (!empty($omf_details['restaurant_info']['latitude']) && !empty($omf_details['restaurant_info']['longitude'])) {
		$retval .= 'map_cords("'.$omf_details['restaurant_info']['latitude'].'", "'.$omf_details['restaurant_info']['longitude'].'");';
	} else {
		$retval .= 'map_address("'.$omf_details['formatted_address'].'");';
	}
	
				$retval .= '});</script>';
			
				$retval .= '<div id="location-map"><div id="locationmap"></div></div>';
				$retval .= '<div id="details">
		            <p>'.clean($omf_details['restaurant_info']['brief_description']).'</p>
		            <p>
		            	<strong>Address:</strong><br />
		            	'.clean($omf_details['restaurant_info']['address_1']).'<br />
		            	'.clean($omf_details['restaurant_info']['city_town']).', '. $omf_details['restaurant_info']['state_province'].' '.$omf_details['restaurant_info']['postal_code'].' '.$omf_details['restaurant_info']['country'].'
		            </p>
		            <p>
			            <strong>Phone: </strong>'.$omf_details['restaurant_info']['phone'].'<br />
			            <strong>Website: </strong> <a href="' . $omf_details['restaurant_info']['website_url'] . '">'.$omf_details['restaurant_info']['website_url'].'</a>
		            </p>
		            
		            <p>
		            	<strong>Hours:</strong><br />';

foreach ($omf_details['operating_days']['printable'] AS $daytime) {
	$retval .= $daytime.'<br />';
}

			        $retval .= '</p>
				        <div><strong>Type:</strong> '.clean($omf_details['environment_info']['cuisine_type_primary']).'</div>
					</div>
					<div class="clear"></div>';
			
			$retval .= '</div>';
		}
		
		return $retval;
	}

	function clean ($str) { 
		return htmlentities($str, ENT_COMPAT, 'UTF-8');
	}

?>